{% extends "master.twig" %}

{% block title %}
    {{ articles == null ? "Authors" : author.name }}
{% endblock %}

{% block description %}
    {{ articles == null ? "All authors writing for Omnibus" : "All articles written by " ~ author.name }}
{% endblock %}

{% block canonical %}
    {{ articles == null ? "https://sfnw.online/authors" : "https://sfnw.online/author/"~author.id~"/"~author.furl  }}
{% endblock %}

{% block header %}
    <script src="/public/assets/js/list.min.js"></script>
{% endblock %}

{% block body %}

    <div class="ten wide computer thirteen wide tablet sixteen wide mobile column" id="sortable">

        {% if articles is empty %}

            <h1>View all authors</h1>

            <div class="ui huge fluid input">
                <label for="filter" style="display: none">Filter</label>
                <input name="filter" id="filter" class="search" type="text" placeholder="Search...">
            </div>

            <br>

            <div class="ui five doubling cards list">

                {% for author in authors %}
                    <a class="card" href="/author/{{ author.id }}/{{ author.furl }}">
                        <div class="image">
                            <img src="{{ author.avatar }}" alt="{{ author.name }}'s avatar">
                        </div>
                        <div class="content">
                            <div class="header s-name">{{ author.name }}</div>
                            <div class="description s-title">{{ author.title }}</div>
                        </div>
                        <div class="extra content">
                            <span class="right floated">#{{ author.id }}</span>
                        </div>
                    </a>
                {% endfor %}

            </div>

        {% else %}

            <div class="ui huge fluid input">
                <label for="filter" style="display: none">Filter</label>
                <input name="filter" id="filter" class="search" type="text" placeholder="Search...">
            </div>

            <div class="ui styled fluid accordion list">
                {% for article in articles %}
                    {% include 'includes/article.twig' %}
                {% endfor %}
            </div>

        {% endif %}

    </div>

    <script>
        const list_options = {
            valueNames: ['s-name']
        };
        const artList = new List('sortable', list_options);
    </script>

    <div id="token" data-token="{{ token }}" style="display: none"></div>

    <script async src="{{ asset('assets/js/shelves.min.js') }}"></script>
{% endblock %}
